
Redmine - Patch #27336

Render previews for audio and video files

2017-10-31 10:58 - Jens Krämer

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Go MAEDA % Done: 0%

Category: Attachments Estimated time: 0.00 hour

Target version: 4.0.0   

Description

This patch which we recently introduced at Planio uses the HTML 5 audio and video tags to render recognized audio and video files

on the attachment preview page. As fallback content (for browsers not supporting these tags yet, the previously shown 'no preview

available' view is rendered.

Related issues:

Related to Redmine - Feature #22483: Show PDF attachments and repo entries in... Needs feedback

Related to Redmine - Feature #10138: Video Player Closed

Related to Redmine - Patch #22112: add html5 audio controls if attachment is mp3 Closed

Related to Redmine - Defect #32153: Repository browser does not render previe... Closed

Associated revisions

Revision 17340 - 2018-05-17 15:09 - Go MAEDA

Adds previews for audio / video attachments (#27336).

Patch by Jens Kraemer.

History

#1 - 2017-10-31 12:45 - Jan from Planio www.plan.io

- Target version set to Candidate for next minor release

#2 - 2017-11-15 15:09 - Jan from Planio www.plan.io

- Related to Feature #22483: Show PDF attachments and repo entries instead of downloading them added

#3 - 2017-11-20 13:34 - Go MAEDA

- Target version changed from Candidate for next minor release to 4.1.0

It is really nice improvement. Setting target version to 4.1.0.

#4 - 2017-11-20 13:52 - Go MAEDA

- File 27336-max-width-100percent.jpg added

- File 27336-max-width-560px.jpg added

I think it would be even better to limit the width of videos because users cannot access video controls under the video without scrolling the browser's

window if the dimensions of the video is large.

Before (max-width: 100%):

 27336-max-width-100percent.jpg 

After (max-width: 560px):

 27336-max-width-560px.jpg 

#5 - 2017-11-21 01:12 - Go MAEDA

- Related to Feature #10138: Video Player added

#6 - 2017-11-21 01:13 - Go MAEDA

- Related to Patch #22112: add html5 audio controls if attachment is mp3 added
#7 - 2018-05-17 15:11 - Go MAEDA

- Status changed from New to Closed

- Assignee set to Go MAEDA

- Target version changed from 4.1.0 to 4.0.0

Committed. Thank you for sharing your work.

#8 - 2018-10-17 08:05 - Леонид Прокопенко

Hello. Could you adapt your patch for redmine 3.3.8?

#9 - 2019-09-26 17:25 - Go MAEDA

- Related to Defect #32153: Repository browser does not render previews for audio/video files added

Files

0001-adds-previews-for-audio-video-attachments.patch 5.52 KB 2017-10-31 Jens Krämer

27336-max-width-100percent.jpg 45.4 KB 2017-11-20 Go MAEDA

27336-max-width-560px.jpg 34.4 KB 2017-11-20 Go MAEDA
